let tablePlayerGoods;
let tableDateSumCNT;
let tableSumSNB;
let tableDateSumSNB;
let tree;
let startDate = new Date(new Date(new Date().toLocaleDateString()).getTime()),
    endDate = new Date(new Date(new Date().toLocaleDateString()).getTime() + 24 * 60 * 60 * 1000 - 1);
let snbStartDate = startDate, snbEndDate = endDate;

layui.use(['element', 'form', 'table', 'layer', 'laydate', 'tree', 'util'], function () {
    let table = layui.table;
    let form = layui.form;//select、单选、复选等依赖form
    let element = layui.element; //导航的hover效果、二级菜单等功能，需要依赖element模块
    let laydate = layui.laydate;
    tree = layui.tree;
    let height = document.documentElement.clientHeight * 0.4;
    tablePlayerGoods = table.render({
        elem: '#playerGoodsTable'
        , url: ctx + "/sys/sysProperty/findAllGroupByGoodsType"
        , method: 'POST'
        //请求前参数处理
        , request: {
            pageName: 'page' //页码的参数名称，默认：page
            , limitName: 'rows' //每页数据量的参数名，默认：limit
        }
        , response: {
            statusName: 'flag' //规定数据状态的字段名称，默认：code
            , statusCode: true //规定成功的状态码，默认：0
            , msgName: 'msg' //规定状态信息的字段名称，默认：msg
            , countName: 'records' //规定数据总数的字段名称，默认：count
            , dataName: 'rows' //规定数据列表的字段名称，默认：data
        }
        //响应后数据处理
        , parseData: function (res) { //res 即为原始返回的数据
            var data = res.data;
            // console.log("返回的地址数据：", data);
            //这里应该是反回一个用户，后台做成了页面数据。但是只带一条数据
            return {
                "flag": res.flag, //解析接口状态
                "msg": res.msg, //解析提示文本
                "records": data.records, //解析数据长度
                "rows": data.rows //解析数据列表
            };
        }
        , toolbar: '#playerGoodsTableToolbarDemo'
        , title: '仓库统计'
        , cols: [[
            {
                field: 'goodsType', title: '仓库物品的类型', templet: function (d) {
                    if (d.goodsType == 0) {
                        return '<span style="color: green">种子</span>';
                    } else if (d.goodsType == 1) {
                        return '<span style="color: green">果实</span>';
                    } else {
                        return '待添加：' + d.goodsType;
                    }
                }
            }
            , {field: 'amount', title: '仓库的数量'}
        ]]
        , defaultToolbar: ['', 'exports', 'print']
        , page: false
        , height: height
        , cellMinWidth: 80
    });


    //头工具栏事件
    table.on('toolbar(test)', function (obj) {
        switch (obj.event) {
            case 'playerGoodsReload':
                reloadPlayerGoods();
                break;
        }
    });

    //监听行工具事件
    table.on('tool(test)', function (obj) {
        let data = obj.data;
        //编辑
        if (obj.event === 'edit') {
            console.log("edit");
            //回显操作表单
            $("#comUserForm").form(data);
            form.render();
        }
    });

});

function reloadPlayerGoods() {
    tablePlayerGoods.reload({
        page: false
        , method: 'POST'
        , url: ctx + "/sys/sysProperty/findAllGroupByGoodsType"
        , done: function (res, curr, count) {
            // console.log(res, curr, count);
            // this.where={};
            //不清空，有问题：搜索条件会保留
            //清空，  有问题：分页的时候没有搜索条件了,分页会受到影响
        }
    });
}